body {
  height: 98vh;
  color: white;
  font-family: sans-serif;
  background-color: var(--bg-color);
  transition: background-color 0.3s ease-in-out;
}

.player-content {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
}

.main {
  display: flex;
  flex: 1;
  justify-content: center;
  align-items: center;
}

.audioplayer-container {
  position: relative;
  min-width: 50%;
  margin: 0 auto;
  border-radius: 20px;
  background-color: rgba(0, 0, 0, 0.1);
  transition: all 0.5s ease-in-out;
  animation: shadow 8s linear 1s infinite alternate;
}

.audioplayer {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 2em;
  padding: 2em;
}

.audioplayer-img {
  width: 150px;
  border-radius: 50%;
}

.audioplayer-img img {
  border-radius: 50%;
  animation: shadow-img 8s linear 1s infinite alternate;
}

.audioplayer-current-song {
  display: flex;
  flex-direction: column;
  gap: 1em;
  text-align: center;
}

.audioplayer-features {
  display: flex;
  justify-content: space-between;
  width: 100%;
  color: var(--color-dark);
}

.like svg {
  transition: all 0.3s ease-in-out;
}

.volume svg {
  transition: all 0.3s ease-in-out;
}

.like:hover svg {
  fill: var(--color-dark);
  transform: scale(1.3);
}

.volume:hover svg {
  transform: scale(1.3);
}

.like.active svg path {
  fill: var(--color-dark);
}

.volume.active svg {
  opacity: 0.2;
}

.audioplayer-controls {
  display: flex;
  justify-content: center;
  gap: 1em;
  min-width: 100%;
}

.control {
  color: var(--color-dark);
  transition: all 0.3s ease-in-out;
}

.control:hover svg {
  opacity: 1;
}

.control svg {
  width: 2em;
  height: 2em;
  border: 2px solid var(--color-light);
  border-radius: 50%;
  padding: 0.5em;
  opacity: 0.6;
  background-color: var(--color-light);
  transition: all 0.3s ease-in-out;
}

.control:active svg {
  transform: scale(1.3);
}

.repeat.active svg,
.shuffle.active svg {
  border: 2px solid var(--color-light);
  opacity: 1;
  color: red;
  background-color: var(--color-light);
}

.audioplayer-slider {
  display: flex;
  flex-direction: column;
  gap: 1em;
  width: 100%;
}

.time {
  display: flex;
  justify-content: space-between;
  opacity: 0.5;
  font-size: 0.7em;
}

input[type="range"] {
  height: 0.5em;
  margin: 0;
  border-radius: 0.5em;
  background: var(--color-light);
  -webkit-appearance: none;
  appearance: none;
}

input[type="range"]::-webkit-slider-thumb {
  width: 1em;
  height: 1em;
  border: 3px solid var(--color-light);
  border-radius: 50%;
  background-color: var(--color-dark);
  -webkit-appearance: none;
  appearance: none;
}

.footer__container div {
  opacity: 0.2;
  transition: all 0.5s ease-in-out;
}

.footer__container div:hover {
  opacity: 1;
}

.footer__container {
  display: flex;
  justify-content: space-between;
  margin: 0 6em;
  color: var(--color-dark);
  font-size: 1.5em;
}

.footer__logo img {
  height: 40px;
}

@media (max-width: 768px) {
  .audioplayer-controls {
    min-width: fit-content;
  }
  .footer__container {
    margin: 0 1em;
  }
}
@media (max-width: 375px) {
  .audioplayer-container {
    background-color: transparent;
    animation: none;
  }
}
